#ifndef __FVM_CONFIG_H__
#define __FVM_CONFIG_H__

/* fvm_config.h. Generated by configure */

/*
  This file is part of the Finite Volume Mesh library, intended to provide
  finite volume mesh and associated fields I/O and manipulation services.

  Copyright (C) 2004-2009  EDF

  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

/* Complete version number */
#define FVM_VERSION "0.14.0"

/* Major version number */
#define FVM_MAJOR_VERSION 0

/* Minor version number */
#define FVM_MINOR_VERSION 14

/* Release version number */
#define FVM_RELEASE_VERSION 0

/* The size of a 'void *', as computed by sizeof. */
#define FVM_SIZEOF_VOID_P 4

/* The size of a 'short', as computed by sizeof. */
#define FVM_SIZEOF_SHORT 2

/* The size of a 'int', as computed by sizeof. */
#define FVM_SIZEOF_INT 4

/* The size of a 'long', as computed by sizeof. */
#define FVM_SIZEOF_LONG 4

/* The size of a 'long long', as computed by sizeof. */
#define FVM_SIZEOF_LONG_LONG 8

/* The size of a 'float', as computed by sizeof. */
#define FVM_SIZEOF_FLOAT 4

/* The size of a 'double', as computed by sizeof. */
#define FVM_SIZEOF_DOUBLE 8

/* Use 64-bit type if available for fvm_gnum_t. */
#undef FVM_HAVE_LONG_GNUM

/* FVM library configured with MPI support ? */
#undef FVM_HAVE_MPI

#endif /* __FVM_CONFIG_H__ */
